Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.response
Class AuthToken

    java.lang.Object
      |
      +--weblogic.uddi.client.structures.response.Response
            |
            +--weblogic.uddi.client.structures.response.AuthToken

public class AuthToken
extends Response

AuthToken contains the authentication information that should be used in publishers API messages.

Version:
  1.0
Author:
  Salman Khan, Jason Ong

Fields inherited from class weblogic.uddi.client.structures.response.Response
`generic, operator`

Constructor Summary
`AuthToken()` Class constructor specifying the xml element that denotes an authorization token.

Method Summary
`AuthInfo` | `getAuthInfo()` Gets the value of the authorization information.
`void` | `setAuthInfo(AuthInfo value)` Sets the value of the authorization information.

Methods inherited from class weblogic.uddi.client.structures.response.Response
`getGeneric, getOperator, setGeneric, setOperator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthToken

    public AuthToken()

  Class constructor specifying the xml element that denotes an authorization token.

  Parameters:
    `atElement` - XML element denoting an authorization token.

Method Detail

### getAuthInfo

    public AuthInfo getAuthInfo()

  Gets the value of the authorization information.

  Returns:
    the current value of the authorization information.

### setAuthInfo

    public void setAuthInfo(AuthInfo value)

  Sets the value of the authorization information.

  Parameters:
    `value` - the new authorization information.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference